krb4 -- buffer overflow

2002-10-30T00:00:00
ID DSA-184
Type debian
Reporter Debian
Modified 2002-10-30T00:00:00

Description

Tom Yu and Sam Hartman of MIT discovered another stack buffer overflow in the kadm_ser_wrap_in function in the Kerberos v4 administration server. This kadmind bug has a working exploit code circulating, hence it is considered serious.

This problem has been fixed in version 1.1-8-2.2 for the current stable distribution (woody), in version 1.0-2.2 for the old stable distribution (potato) and in version 1.1-11-8 for the unstable distribution (sid).

We recommend that you upgrade your krb4 packages immediately.